WebmeticDocs

Get Webhook

GET
/webhooks/{endpoint_id}

One endpoint by id.

Authentifizierung

APIKeyHeader
headerAuthorization<token>

Pfad-Parameter

endpoint_id*Endpoint Id

Response-Body

Successful Response

application/json
  1. response

A registered endpoint. Secrets and header values are never part of it.

id*Id
url*Url
description?Description
Standard""
events*array<string>
websites*array<string>
segment_id?string|null
segment_label?string|null
header_names?array<string>
source?Source
Standard"custom"
status*Status
created_via?Created Via
Standard"api"
created_at*Created At
Formatdate-time
updated_at*Updated At
Formatdate-time
last_success_at?|null
last_failure_at?|null
failing_since?|null
disabled_at?|null
disabled_reason?string|null
secret_rotated_at?|null
Beispielanfrage
curl -X GET 'https://hub.webmetic.de/webhooks/whe_3c9a71f0b24d8e65'
Beispielantwort
{  "id": "string",  "url": "string",  "description": "",  "events": [    "string"  ],  "websites": [    "string"  ],  "segment_id": "string",  "segment_label": "string",  "header_names": [    "string"  ],  "source": "custom",  "status": "string",  "created_via": "api",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "last_success_at": "2019-08-24T14:15:22Z",  "last_failure_at": "2019-08-24T14:15:22Z",  "failing_since": "2019-08-24T14:15:22Z",  "disabled_at": "2019-08-24T14:15:22Z",  "disabled_reason": "string",  "secret_rotated_at": "2019-08-24T14:15:22Z"}